Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers.java
Class EJBProvider

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.providers.BasicProvider
              org.apache.axis.providers.java.JavaProvider
                  org.apache.axis.providers.java.RPCProvider
                      org.apache.axis.providers.java.EJBProvider

All Implemented Interfaces:
  Handler, Serializable

public class EJBProvider
extends RPCProvider

A basic EJB Provider

Author:
  Carl Woolf (cwoolf@macromedia.com), Tom Jordahl (tomj@macromedia.com), C�dric Chabanois (cchabanois@ifrance.com)
See Also:
  Serialized Form

Field Summary
`protected static Class[]` | `empty_class_array`
`protected static Object[]` | `empty_object_array`
`static String` | `jndiContextClass`
`static String` | `jndiPassword`
`static String` | `jndiURL`
`static String` | `jndiUsername`
`static String` | `OPTION_BEANNAME`
`static String` | `OPTION_HOMEINTERFACENAME`
`static String` | `OPTION_LOCALHOMEINTERFACENAME`
`static String` | `OPTION_LOCALINTERFACENAME`
`static String` | `OPTION_REMOTEINTERFACENAME`

Fields inherited from class org.apache.axis.providers.java.RPCProvider
`RPC_INVOCATION`

Fields inherited from class org.apache.axis.providers.java.JavaProvider
`OPTION_ALLOWEDMETHODS, OPTION_CLASSNAME, OPTION_CLASSPATH, OPTION_IS_STATIC, OPTION_SCOPE, OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`EJBProvider()`

Method Summary
`protected InitialContext` | `getCachedContext()`
`protected InitialContext` | `getContext(Properties properties)`
`protected Object` | `getEJBHome(InitialContext context, String beanJndiName)`
`protected Class` | `getServiceClass(String beanJndiName, SOAPService service, MessageContext msgContext)` Get the class description for the EJB Remote or Local Interface, which is what we are interested in exposing to the world (i.e.
`protected String` | `getServiceClassNameOptionName()` Return the option in the configuration that contains the service class name.
`protected String` | `getStrOption(String optionName, Handler service)` Get a String option by looking first in the service options, and then at the Handler's options.
`protected Object` | `makeNewServiceObject(MessageContext msgContext, String clsName)` Return a object which implements the service.

Methods inherited from class org.apache.axis.providers.java.RPCProvider
`checkMethodName, createRPCInvocation, invokeMethod, invokeTarget, processMessage`

Methods inherited from class org.apache.axis.providers.java.JavaProvider
`generateWSDL, getServiceClassName, getServiceObject, initServiceDesc, invoke, processException`

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_BEANNAME

    public static final String OPTION_BEANNAME

See Also:
  Constant Field Values

### OPTION_HOMEINTERFACENAME

    public static final String OPTION_HOMEINTERFACENAME

See Also:
  Constant Field Values

### OPTION_REMOTEINTERFACENAME

    public static final String OPTION_REMOTEINTERFACENAME

See Also:
  Constant Field Values

### OPTION_LOCALHOMEINTERFACENAME

    public static final String OPTION_LOCALHOMEINTERFACENAME

See Also:
  Constant Field Values

### OPTION_LOCALINTERFACENAME

    public static final String OPTION_LOCALINTERFACENAME

See Also:
  Constant Field Values

### jndiContextClass

    public static final String jndiContextClass

See Also:
  Constant Field Values

### jndiURL

    public static final String jndiURL

See Also:
  Constant Field Values

### jndiUsername

    public static final String jndiUsername

See Also:
  Constant Field Values

### jndiPassword

    public static final String jndiPassword

See Also:
  Constant Field Values

### empty_class_array

    protected static final Class[] empty_class_array

### empty_object_array

    protected static final Object[] empty_object_array

Constructor Detail

### EJBProvider

    public EJBProvider()

Method Detail

### makeNewServiceObject

    protected Object makeNewServiceObject(MessageContext msgContext,
                                          String clsName)
                                   throws Exception

  Return a object which implements the service.

  Overrides:
    `makeNewServiceObject` in class `JavaProvider`
  Parameters:
    `msgContext` - the message context
    `clsName` - The JNDI name of the EJB home class
  Returns:
    an object that implements the service
  Throws:
    `Exception`

### getServiceClassNameOptionName

    protected String getServiceClassNameOptionName()

  Return the option in the configuration that contains the service class name. In the EJB case, it is the JNDI name of the bean.

  Overrides:
    `getServiceClassNameOptionName` in class `JavaProvider`

### getStrOption

    protected String getStrOption(String optionName,
                                  Handler service)

  Get a String option by looking first in the service options, and then at the Handler's options. This allows defaults to be specified at the provider level, and then overriden for particular services.

  Parameters:
    `optionName` - the option to retrieve
  Returns:
    String the value of the option or null if not found in either scope

### getServiceClass

    protected Class getServiceClass(String beanJndiName,
                                    SOAPService service,
                                    MessageContext msgContext)
                             throws AxisFault

  Get the class description for the EJB Remote or Local Interface, which is what we are interested in exposing to the world (i.e. in WSDL).

  Overrides:
    `getServiceClass` in class `JavaProvider`
  Parameters:
    `msgContext` - the message context (can be null)
    `beanJndiName` - the JNDI name of the EJB
  Returns:
    the class info of the EJB remote or local interface
  Throws:
    `AxisFault`

### getCachedContext

    protected InitialContext getCachedContext()
                                       throws NamingException

  Throws:
    `NamingException`

### getContext

    protected InitialContext getContext(Properties properties)
                                 throws AxisFault,
                                        NamingException

  Throws:
    `AxisFault`
    `NamingException`

### getEJBHome

    protected Object getEJBHome(InitialContext context,
                                String beanJndiName)
                         throws AxisFault,
                                NamingException

  Throws:
    `AxisFault`
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.